<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Демонстрация голосования"
	description="Данный компонент выводит информацию о количестве зарегистрированных пользователей, теме и результатах голосования"
	fileName="NPCDemo.jar" className="org.mati.npc.hall.demo.Demo"
	version="8874" time="17.02.2009 01:05:19">

	<Group>Система голосования</Group>

	<!-- INLINKS -->
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>

	<!-- OUTLINKS -->
	<OUTLink name="OutHallManager"
		description="Исходящай связь для управления обработкой событий."
		interfaceName="org.mati.npc.core.hall.HallManager" linksNumber="0"
		nullable="false">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="1024"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" type="java.lang.Integer"
		defaultValue="768"
		nullable="false">
	</Attribute>

	<Attribute name="IsProcentTime"
		description="Отображать прогрес в процентах или в абсолютных величинах"
		defaultValue="true"
		type="java.lang.Boolean" nullable="false">
	</Attribute>

	<Attribute name="IsProcentVoice"
		description="Отображать прогрес в процентах или в абсолютных величинах"
		defaultValue="true"
		type="java.lang.Boolean" nullable="false">
	</Attribute>

	<Attribute name="ForegroundColor" description="Цвет шрифта"
		defaultValue="0"
		type="java.awt.Color" nullable="true">
	</Attribute>
	<Attribute name="BackgroundColor" description="Цвет фона"
		defaultValue="16777215"
		type="java.awt.Color" nullable="true">
	</Attribute>

	<Attribute name="FontStyle"
		description="Стиль шрифта: 0 - Обычный, 1 - Жирный, 2 - Курсивый"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="FontName"
		description="Название шрифта. Доступные шрифты: Dialog, SansSerif, Serif, Monospaced и DialogInput"
		defaultValue="Candara"
		type="java.lang.String" nullable="false">
	</Attribute>
	<Attribute name="FontSize" description="Размер шрифта" type="java.lang.Integer"
		defaultValue="22"
		nullable="false">
	</Attribute>
	<Attribute name="AnimationImage"
		description="Анимированная картинка в формате .GIF для показа во время редактирования"
		type="java.lang.String" nullable="true">
	</Attribute>
	<Attribute name="Image" description="Картинка для показа на нижней панели"
		type="java.lang.String" nullable="true">
	</Attribute>

</ClassComponent>
